<?php
/* ______________________________________________________________________
 * 
 * A P P M O N I T O R  ::  CLIENT - CHECK  ::  GENERAL INCLUDE
 * ______________________________________________________________________
 * 
 * @author: Axel Hahn
 * ----------------------------------------------------------------------
 * 2018-06-30  v0.1
 * 2024-09-04  php8 only: short array syntax; use data from ci server config file
 */

// ----------------------------------------------------------------------
// SECURITY STUFF ... protect access to monitoring data
// ----------------------------------------------------------------------

// --- restrict ip access

// check local ips and IML networks (includes the monitor)
// appmonitor is not available on EDUROAM or VPN
if(isset($aConfig['appmonitor']['ip']) && count($aConfig['appmonitor']['ip'])){
    $oMonitor->checkIp($aConfig['appmonitor']['ip']);
}

// --- check a token
// an incoming request must have the GET param "token=123"
// $oMonitor->checkTokem('token', '123');
if(isset($aConfig['appmonitor']['token']) && count($aConfig['appmonitor']['token'])){
    $oMonitor->checkToken($aConfig['appmonitor']['token'][0], $aConfig['appmonitor']['token'][1]);
}

// ----------------------------------------------------------------------
// NOTIFICATION
// ----------------------------------------------------------------------

if(isset($aConfig['appmonitor']['email']) && count($aConfig['appmonitor']['email'])){
    foreach($aConfig['appmonitor']['email'] as $sEmailTo){
        $oMonitor->addEmail($sEmailTo);
    }
}
if(isset($aConfig['appmonitor']['slack']) && count($aConfig['appmonitor']['slack'])){
    foreach($aConfig['appmonitor']['slack'] as $aSlackTarget){
        $oMonitor->addSlackWebhook($aSlackTarget[0], $aSlackTarget[1]);
    }
}

// ----------------------------------------------------------------------
// set a tag with phase
// ----------------------------------------------------------------------
$sHost=$_SERVER['HTTP_HOST'];
$sHost2=php_uname("n");   
$sMyPhase='live';

// foreach (array('dev', 'preview', 'stage', 'demo') as $sPhase){
foreach (array_keys($aConfig['phases']) as $sPhase){
    if(
        strstr($sHost.'.', $sPhase)!==false
        || strstr($sHost.'-', $sPhase)!==false
        || strstr($sHost2.'.', $sPhase)!==false
        || strstr($sHost2.'-', $sPhase)!==false
    ) {
        $sMyPhase=$sPhase;
        break;
    }
}
$oMonitor->addTag($sMyPhase);

